Bug 1298679 - nunc-stans -- upgrading liblfds
nunc-stans -- upgrading liblfds
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: 389-ds-base (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: wibrown@redhat.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1298681
  Show dependency treegraph
 
Reported: 2016-01-14 12:50 EST by Noriko Hosoi
Modified: 2017-03-21 03:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1298681 (view as bug list)
Environment:
Last Closed: 2017-03-21 03:29:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noriko Hosoi 2016-01-14 12:50:52 EST
https://bugzilla.redhat.com/show_bug.cgi?id=1234277#c21
> Hello.
> 
> I am the author of liblfds.
> 
> On the 29th December 2015, release 7.0.0 was published.
> 
> Arch is now set always to 'native'.
> 
> The makefile appends to CFLAGS, which I think will still mean the appended
> values will be used rather than any existing values, so the 7.0.0 makefile
> does not solve the problem in this bug.
> 
> It's not apparent to me what the usual behaviour is supposed to be.  Should
> the makefile build its own CFLAGS and then append the existing CFLAGS?
> 
> Could you let me know what changes you'd like to see, and I'll get them in
> the next release (which will be quite soon, unlike 7.0.0, which took
> basically six years).
> 
> As an aside, perhaps of interest, 7.0.0 supports the Linux kernel.

> Oh - additionally - I will backport the makefile fixes to the earlier
> releases of liblfds.  I did not mean to imply you should use 7.0.0.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 wibrown@redhat.com 2016-02-23 18:07:36 EST
https://fedorahosted.org/nunc-stans/ticket/47
Comment 2 Noriko Hosoi 2016-02-23 18:38:30 EST
(In reply to wibrown@redhat.com from comment #1)
> https://fedorahosted.org/nunc-stans/ticket/47

Thanks, William.  Let me copy the info to Devel Whiteboard, as well...
Comment 3 Jan Kurik 2016-02-24 09:17:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Noriko Hosoi 2016-07-15 15:18:04 EDT
Let me reassign it to you, William.  All yours.
Thanks!
Comment 5 wibrown@redhat.com 2017-03-21 03:29:53 EDT
This has been completed some time ago.

Note You need to log in before you can comment on or make changes to this bug.